## goomwwm-1.0.0-github.tar.gz

=== Makefile ===
CFLAGS?=-Wall -O2
LDADD?=$(shell pkg-config --cflags --libs x11 xinerama x11 xft)

normal:
	$(CC) -o goomwwm goomwwm.c $(CFLAGS) $(LDADD) $(LDFLAGS)

debug:
	$(CC) -o goomwwm-debug goomwwm.c $(CFLAGS) -g -DDEBUG $(LDADD)

proto:
	cat *.c | egrep '^(void|int|char|unsigned|client|Window|winlist|XWindow)' | sed -r 's/\)/);/' > proto.h

docs:
	pandoc -s -w man goomwwm.md -o goomwwm.1

all: proto normal debug docs

clean:
	rm -f goomwwm goomwwm-debug

=== PKGBUILD ===
# Contributor: Sean Pringle <sean.pringle@gmail.com>

pkgname=goomwwm
pkgver=_VER_
pkgrel=1
pkgdesc="Get out of my way, Window Manager!"
arch=('i686' 'x86_64')
url="http://aerosuidae.net/goomwwm"
license=('MIT')
depends=('libx11' 'libxft' 'freetype2')
optdepends=('dmenu')
makedepends=()
provides=('goomwwm')
conflicts=('goomwwm-git')
source=("http://aerosuidae.net/goomwwm/$pkgname-$pkgver.tar.gz")
md5sums=('_MD5_')

build() {
  cd "${srcdir}/$pkgname-$pkgver"
  make
}

package() {
  cd "${srcdir}/$pkgname-$pkgver"
  install -Dm 755 $pkgname "$pkgdir/usr/bin/$pkgname"
  install -Dm 644 "$pkgname.desktop" "$pkgdir/usr/share/xsessions/$pkgname.desktop"
  gzip -c "$pkgname.1" > "$pkgname.1.gz"
  install -Dm644 "$pkgname.1.gz" "$pkgdir/usr/share/man/man1/$pkgname.1.gz"
}
